-- +goose Up
CREATE TABLE article_tag
(
    article_id INT NOT NULL,
    tag_id     INT NOT NULL
) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_unicode_ci;

ALTER TABLE article_tag
    ADD UNIQUE(article_id, tag_id),
    ADD CONSTRAINT fk_article_tag_tag FOREIGN KEY (tag_id) REFERENCES tag (id) ON DELETE NO ACTION ON UPDATE NO ACTION,
    ADD CONSTRAINT fk_article_tag_article FOREIGN KEY (article_id) REFERENCES article (id) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- +goose Down
DROP TABLE article_tag;
