-- +goose Up
CREATE TABLE article
(
    `id`            INT(11) PRIMARY KEY AUTO_INCREMENT,
    `title`         VARCHAR(255) NOT NULL,
    `image`         VARCHAR(255) DEFAULT NULL,
    `preview_text`  LONGTEXT     DEFAULT NULL,
    `text`          LONGTEXT     NOT NULL,
    `meta_keywords` VARCHAR(255) DEFAULT NULL,
    `meta_desc`     VARCHAR(255) DEFAULT NULL,
    `is_active`     TINYINT(1)   NOT NULL,
    `url`           VARCHAR(255) UNIQUE NOT NULL,
    `publish_time`  DATETIME     NOT NULL
) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_unicode_ci;

-- +goose Down
DROP TABLE article;
